clear variables
close all

%% Set parameters

% Laser wavelength
opts.lambda = 680e-9;

% Search window for extrema
opts.window = 10;

% Filter order and normalized frequency
opts.n = 30;
opts.wn = 0.01;

% Enable plot
opts.en_plot = 1;

%% Load data

load data.mat

% Plot data
figure
subplot(2,1,1)
plot(t,v)
xlabel('t')
ylabel('v')
subplot(2,1,2)
plot(t,x)
xlabel('t')
ylabel('x')

%% Estimate deformation

z = estim_z(t,v,x,opts);